com.informix.asf

## Class SqliDbg

- java.lang.Object
- - com.informix.asf.SqliDbg

    public class SqliDbg
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`SqliDbg(IfxDebugDataInputStream in, IfxDebugDataOutputStream out, java.lang.String filePrefix)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clearC2S()`
`void` `clearS2C()`
`void` `close()`
`void` `finalize()`
`protected static byte[]` `marshallInteger(int value)`
`protected static byte[]` `marshallLong(long value)`
`protected static byte[]` `marshallShort(int value)`
`static void` `printSqliTraceException(java.lang.Exception e)`
`void` `recordC2S()`
`void` `recordS2C()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqliDbg

    public SqliDbg(IfxDebugDataInputStream in,
                   IfxDebugDataOutputStream out,
                   java.lang.String filePrefix)

### Method Detail

#### printSqliTraceException

    public static void printSqliTraceException(java.lang.Exception e)

#### recordS2C

    public void recordS2C()

#### recordC2S

    public void recordC2S()

#### clearC2S

    public void clearC2S()

#### clearS2C

    public void clearS2C()

#### marshallShort

    protected static byte[] marshallShort(int value)

#### marshallInteger

    protected static byte[] marshallInteger(int value)

#### marshallLong

    protected static byte[] marshallLong(long value)

#### close

    public void close()

#### finalize

    public void finalize()

Overrides:
  `finalize` in class `java.lang.Object`